Get ASOS stock and price
curl --request GET \
--url https://scrapebadger.com/v1/asos/stock-price \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/asos/stock-price"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/asos/stock-price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/asos/stock-price",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/asos/stock-price"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/asos/stock-price")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/asos/stock-price")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyASOS endpoints
Get ASOS stock and price
Get ASOS stock and price.
GET
/
v1
/
asos
/
stock-price
Get ASOS stock and price
curl --request GET \
--url https://scrapebadger.com/v1/asos/stock-price \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/asos/stock-price"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/asos/stock-price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/asos/stock-price",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/asos/stock-price"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/asos/stock-price")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/asos/stock-price")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyGet ASOS stock and price.
Credits: 10 per successful request. Failed requests and empty result sets are not charged.
Browse all ASOS endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
required
Product ids.
string
default:"uk"
Market.
string
Store.
string
Country.
string
Currency.
string
Language.
Response
{
"market": "uk",
"products": [
{
"productId": 209555590,
"productPrice": {
"current": {
"value": 20.0,
"text": "£20.00",
"versionId": "REGP0000020002000000000000000",
"conversionId": "0"
},
"previous": {
"value": 20.0,
"text": "£20.00",
"versionId": "REGP0000020002000000000000000",
"conversionId": "0"
},
"rrp": {
"value": null,
"text": null,
"versionId": "REGP0000020002000000000000000",
"conversionId": "0"
},
"currency": "GBP",
"isMarkedDown": false,
"isOutletPrice": false,
"discountPercentage": 0.0,
"xrp": {
"value": 20,
"text": "£20.00",
"versionId": "REGP0000020002000000000000000",
"conversionId": "0"
},
"startDateTime": "2026-10-09T02:52:36Z",
"previousEndDate": null,
"lowestPriceInLast30DaysValue": null,
"lowestPriceInLast30DaysText": null,
"lowestPriceInLast30DaysEndDate": null,
"lowestPriceInLast30DaysPercentage": null,
"context": null,
"additionalContexts": [],
"start_utc": 1791514356.0,
"start_at": "2026-10-09T02:52:36Z"
},
"isInStock": true,
"variants": [
{
"variantId": null,
"id": 209555592,
"size": null,
"brandSize": null,
"sizeId": null,
"colour": null,
"colourWayId": null,
"sku": null,
"isAvailable": null,
"isInStock": true,
"isLowInStock": false,
"isRestockingSoon": false,
"price": {
"current": {
"value": 20.0,
"text": "£20.00",
"versionId": "REGP0000020002000000000000000",
"conversionId": "0"
},
"previous": {
"value": 20.0,
"text": "£20.00",
"versionId": "REGP0000020002000000000000000",
"conversionId": "0"
},
"rrp": {
"value": null,
"text": null,
"versionId": "REGP0000020002000000000000000",
"conversionId": "0"
},
"currency": "GBP",
"isMarkedDown": false,
"isOutletPrice": false,
"discountPercentage": 0.0,
"xrp": {
"value": 20,
"text": "£20.00",
"versionId": "REGP0000020002000000000000000",
"conversionId": "0"
},
"startDateTime": "2026-10-09T02:58:00Z",
"previousEndDate": null,
"lowestPriceInLast30DaysValue": null,
"lowestPriceInLast30DaysText": null,
"lowestPriceInLast30DaysEndDate": null,
"lowestPriceInLast30DaysPercentage": null,
"context": null,
"additionalContexts": [],
"start_utc": 1791514680.0,
"start_at": "2026-10-09T02:58:00Z"
},
"stockLastUpdatedDate": "2026-10-12T09:04:39.861Z",
"warehouse": null,
"source": null,
"seller": null,
"showShippedByMessage": true,
"stockLastUpdated_utc": 1791795879.861,
"stockLastUpdated_at": "2026-10-12T09:04:39.861000Z"
}
],
"hasMultipleColoursInStock": false,
"hasMultiplePricesInStock": false,
"isRestockingSoon": false,
"restockingLeadTime": 14
}
],
"missing_product_ids": []
}
Example
curl --get 'https://scrapebadger.com/v1/asos/stock-price' \
--header 'X-API-Key: YOUR_API_KEY' \
--data-urlencode 'product_ids=209555590'

